Bug 176724 - net/boinc-client: correct pathnames, pkg-install.in, wrong graphics files
Summary: net/boinc-client: correct pathnames, pkg-install.in, wrong graphics files
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rene Ladan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-07 11:00 UTC by Andrey Simonenko
Modified: 2013-09-18 14:50 UTC (History)
0 users

See Also:


Attachments
file.diff (26.55 KB, patch)
2013-03-07 11:00 UTC, Andrey Simonenko
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Simonenko 2013-03-07 11:00:00 UTC
Description of the following update:

1. Simplified Makefile code for port's options dependencies:
   unconditionally add needed dependencies to PORT_OPTIONS and then
   remove duplicates from it.

2. Install rc.d/boinc-client script only if CLIENT is enabled and
   create/check user and directory only if CLIENT is enabled.

3. Remember selected CLIENT, MANAGER and USER options in pkg-install
   and always run it from Makefile (like it is run when a package is
   installed).

4. pkg-install depending on selected CLIENT, MANAGER and USER options
   performs needed actions: creates/checks user and directory (USER),
   creates symlink for skins (MANAGER), report about a user used in
   rc.d script (CLIENT).

5. Some actions from PRE-INSTALL were moved to POST-INSTALL in pkg-install
   (to simplify reading its output when port is installed from sources).

6. Removed SKINS option, since all skins except Default one cannot be
   used (shown) correctly by GUI manager.  It was a wrong idea to mix
   installation of not necessary graphics artwork and BOINC client
   data and code.  Now only correct Default skin is installed.

7. Use ${COPYTREE_SHARE} instead of "${CP} -R" in Makefile.

8. Always use ${PREFIX} in Makefile as a destination directory for
   port's data.

9. Updated pkg-message: added reference to User manual and removed
   mention of projects, since package can contain only libraries and API
   or since installed client can be used locally.
Comment 1 Edwin Groothuis freebsd_committer 2013-03-07 11:00:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Andrey Simonenko 2013-04-27 13:23:50 UTC
Description of the following update:

1. The port was updated to the 7.0.65 version, some files from files/
   were removed and some REINPLACE_CMD in Makefile are not needed.

2. Simplified Makefile code for port's options dependencies:
   unconditionally add needed dependencies to PORT_OPTIONS and then
   remove duplicates from it.

3. Install rc.d/boinc-client script only if CLIENT is enabled and
   create/check user and directory only if CLIENT is enabled.

4. Remember selected CLIENT, MANAGER and USER options in pkg-install
   and always run it from Makefile (like it is run when a package is
   installed).

5. pkg-install depending on selected CLIENT, MANAGER and USER options
   performs needed actions: creates/checks user and directory (USER),
   creates symlink for skins (MANAGER), report about user and directory
   used in rc.d script (CLIENT).

6. Some actions from PRE-INSTALL were moved to POST-INSTALL in pkg-install
   (to simplify reading its output when port is installed from sources).

7. Removed SKINS option, since all skins except Default one cannot be
   used (shown) correctly by GUI manager.  It was a wrong idea to mix
   installation of not necessary graphics artwork and BOINC client
   data and code.  Now only correct Default skin is installed.

8. Use ${COPYTREE_SHARE} instead of "${CP} -R" in Makefile.

9. Always use ${PREFIX} in Makefile as a destination directory for
   port's data.

10. Updated pkg-message: added reference to User manual and removed
   mention of projects, since package can contain only libraries and API
   or since installed client can be used locally.

11. Added boincscr (a new program) to pkg-plist.

12. .txf fonts were changed to .ttf fonts in Makefile and pkg-plist.

13. Call DOS2UNIX only for .xpm files, .cpp and .h files are correct.

14. Added two new options NO_GUI_RPC and NO_NET_INFO, these options
   allow to add --no_gui_rpc and --suppress_net_info to boinc_client program
   in rc.d script.  By default NO_NET_INFO is defined, so it changes the
   default behaviour of the BOINC client.

15. Allowed parallel building of the port.

How to generate sources for the 7.0.65 version:

1. Get repository:

% git clone http://boinc.berkeley.edu/git/boinc-v2.git boinc

2. Checkout 7.0.65 version inside "boinc" directory:

% git checkout client_release/7.0/7.0.65

3. Then run outside of "boinc" directory:

% ./BOINC-client-copy.sh
% ./BOINC-client-setup.sh
% ./BOINC-client-simplify.sh
% ./BOINC-client-package.sh

Used programs:
--------------------------------------------------------------------------
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	BOINC-client
#	BOINC-client/BOINC-client-copy.sh
#	BOINC-client/BOINC-client-package.sh
#	BOINC-client/BOINC-client-setup.sh
#	BOINC-client/BOINC-client-simplify.sh
#	BOINC-client/boinc-client-version.sh
#
echo c - BOINC-client
mkdir -p BOINC-client > /dev/null 2>&1
echo x - BOINC-client/BOINC-client-copy.sh
sed 's/^X//' >BOINC-client/BOINC-client-copy.sh << '9281447033ab9c853910402bdc947ce2'
X#!/bin/sh
X
X. boinc-client-version.sh
X
Xecho "Removing ${boinc_client_dir} ..."
Xrm -rf ${boinc_client_dir}
X
Xecho "Creating ${boinc_client_dir} ..."
Xcp -Rp ${boinc_core_dir} ${boinc_client_dir}
9281447033ab9c853910402bdc947ce2
echo x - BOINC-client/BOINC-client-package.sh
sed 's/^X//' >BOINC-client/BOINC-client-package.sh << '57367a0d38afcb307302ca761c0b8b50'
X#!/bin/sh
X
X. boinc-client-version.sh
X
Xname=${boinc_client_dir}.tar.xz
Xecho "Removing ${name} ..."
Xrm -f ${name}
X
Xecho "Tar archiving ${boinc_client_dir} ..."
Xtar -cf ${boinc_client_dir}.tar ${boinc_client_dir}
X
Xecho "XZ compressing ${boinc_client_dir}.tar ..."
Xxz ${boinc_client_dir}.tar
57367a0d38afcb307302ca761c0b8b50
echo x - BOINC-client/BOINC-client-setup.sh
sed 's/^X//' >BOINC-client/BOINC-client-setup.sh << '2d2c2b8b7b029f6d1e95bcf8a8fb57c4'
X#!/bin/sh
X
X. boinc-client-version.sh
X
Xcd ${boinc_client_dir} && ./_autosetup
X
2d2c2b8b7b029f6d1e95bcf8a8fb57c4
echo x - BOINC-client/BOINC-client-simplify.sh
sed 's/^X//' >BOINC-client/BOINC-client-simplify.sh << '65f3d337aab2149d21e73ac8e36cc2e6'
X#!/bin/sh
X
X. boinc-client-version.sh
X
Xclear_dir()
X{
X	( cd $1 ; ls | while read name ; do
X		if [ "${name}" != "Makefile.in" -a \
X		     "${name}" != "Makefile.am" -a -f ${name} ]; then
X			n=${name%\.in}
X			if [ "${name}" == "${n}" ]; then
X				rm ${name}
X			fi
X		fi
X	done )
X}
X
Xcd ${boinc_client_dir}
Xif [ $? -ne 0 ]; then
X	echo "Cannot cd to ${boinc_client_dir}"
X	exit 1
Xfi
X
Xrm -rf	.git \
X	autom4te.cache \
X	win_build \
X	samples \
X	mac_build \
X	mac_installer \
X	rboinc \
X	coprocs \
X	clientgui/mac clientgui/msw \
X	client/android client/os2 client/win \
X	clientctrl \
X	stripchart \
X	clienttray \
X	languages \
X	lib/mac \
X	packages/linux \
X	doc/bolt doc/logo doc/sim doc/source \
X	curl \
X	clientgui/res/templates \
X	html \
X	clientscr/progress clientscr/res \
X	android
X
Xrm -f	clientgui/res/*.zip clientgui/res/*.ico clientgui/res/*.icns
X
Xfor dir in db test py/Boinc py sched apps tools vda \
X    doc doc/manpages packages packages/generic/sea packages/solaris; do
X	clear_dir ${dir}
Xdone
X
Xfor dir in boincclient boincdevel boinclibs boincmanager boincserver .; do
X	clear_dir packages/solaris/CSW/${dir}
Xdone
X
Xrm -rf	locale/templates
X
Xrm -f	*checkin_notes*
X
Xrm -rf	zip/boinc_zip.xcodeproj zip/zip/win32 zip/unzip/win32
X
X(cd locale; for dir in 	\
X    ar be bg ca cs cy da de el es fa fi fr gl he hr hu it ja ko lt lv \
X    nb nl nn pl pt_BR pt_PT ro ru sk sl sv_SE tr uk zh_CN zh_TW ; do
X	find ${dir} \
X	    \( ! \( -name BOINC-Client.mo -or -name BOINC-Manager.mo \) \
X	    -type f \) -exec rm -- {} \;
Xdone )
X
X(cd clientgui/skins; for dir in * ; do
X	if [ "${dir}" != "Default" ]; then
X		rm -rf "${dir}"
X	fi
Xdone)
65f3d337aab2149d21e73ac8e36cc2e6
echo x - BOINC-client/boinc-client-version.sh
sed 's/^X//' >BOINC-client/boinc-client-version.sh << 'b5c84f1f89661c8ea8ba1c15249bb395'
Xversion=7.0.65
Xboinc_client_dir=boinc-client-${version}
Xboinc_core_dir=boinc
b5c84f1f89661c8ea8ba1c15249bb395
exit
--------------------------------------------------------------------------

Changes:
diff -ruN boinc-client.orig/Makefile boinc-client/Makefile
--- boinc-client.orig/Makefile	2012-11-17 07:59:57.000000000 +0200
+++ boinc-client/Makefile	2013-04-27 15:15:35.000000000 +0300
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	boinc-client
-PORTVERSION=	7.0.28
-PORTREVISION=	2
+PORTVERSION=	7.0.65
 CATEGORIES=	net
 MASTER_SITES=	${MASTER_SITE_LOCAL}
 MASTER_SITE_SUBDIR=	pav
@@ -15,11 +14,13 @@
 MAINTAINER=	pav@FreeBSD.org
 COMMENT=	Berkeley Open Infrastructure for Network Computing client
 
+MAKE_JOBS_SAFE=	yes
+
 USE_XZ=		yes
 GNU_CONFIGURE=	yes
 USE_LDCONFIG=	yes
 USE_DOS2UNIX=	yes
-DOS2UNIX_REGEX=	.*\.(cpp|h)
+DOS2UNIX_REGEX=	.*\.xpm
 
 BOINC_CLIENT_USER?=	boinc
 BOINC_CLIENT_GROUP?=	nobody
@@ -34,21 +35,25 @@
 		BOINC_CLIENT_GROUP="${BOINC_CLIENT_GROUP}" \
 		PREFIX="${PREFIX}" LOCALBASE="${LOCALBASE}"
 
-USE_RC_SUBR=	boinc-client
-
 CONFIGURE_ARGS=	--disable-server
 CPPFLAGS+=	-I${LOCALBASE}/include
 
 NO_OPTIONS_SORT=	yes
-OPTIONS_DEFINE=		CLIENT MANAGER X11 LINUX USER SKINS OPTIMIZE
-OPTIONS_DEFAULT=	CLIENT MANAGER X11 USER
+OPTIONS_DEFINE=		CLIENT MANAGER X11 LINUX USER OPTIMIZE
+OPTIONS_GROUP=		SCRIPT
+OPTIONS_GROUP_SCRIPT=	NO_GUI_RPC NO_NET_INFO
+
 CLIENT_DESC=		Build BOINC client
 MANAGER_DESC=		Build BOINC manager GUI
 X11_DESC=		Build graphics API
 LINUX_DESC=		Accept Linux science applications
-USER_DESC=		Create/check BOINC client user
-SKINS_DESC=		Install more skins for BOINC manager
+USER_DESC=		Create/check BOINC client user, directory
 OPTIMIZE_DESC=		Enable compiler optimization flags
+SCRIPT_DESC=		Command line options in script
+NO_GUI_RPC_DESC=	Do not allow GUI RPC, do not make socket
+NO_NET_INFO_DESC=	Do not send host address and name to servers
+
+OPTIONS_DEFAULT=	CLIENT MANAGER X11 USER NO_NET_INFO
 
 .include <bsd.port.pre.mk>
 
@@ -67,24 +72,7 @@
 .endif
 
 .if ${PORT_OPTIONS:MMANAGER}
-. if empty(PORT_OPTIONS:MCLIENT)
-PORT_OPTIONS+=	CLIENT
-. endif
-. if empty(PORT_OPTIONS:MX11)
-PORT_OPTIONS+=	X11
-. endif
-.endif
-
-.if ${PORT_OPTIONS:MX11}
-USE_GL=		glut
-USE_XORG+=	xmu xi
-LIB_DEPENDS+=	jpeg:${PORTSDIR}/graphics/jpeg
-PLIST_SUB+=	X11=""
-.else
-PLIST_SUB+=	X11="@comment "
-.endif
-
-.if ${PORT_OPTIONS:MMANAGER}
+PORT_OPTIONS+=	CLIENT X11
 USE_XORG+=	x11
 USE_WX=		2.8+
 USE_ICONV=	yes
@@ -96,18 +84,26 @@
 CPPFLAGS+=	-DNO_PER_THREAD_LOCALE
 . endif
 PLIST_SUB+=	BOINC_MANAGER=""
+SUB_LIST+=	OPTION_MANAGER="true"
 .else
 CONFIGURE_ARGS+=--disable-manager --with-wx-config=false --without-x
 PLIST_SUB+=	BOINC_MANAGER="@comment "
+SUB_LIST+=	OPTION_MANAGER=""
 .endif
 
 .if ${PORT_OPTIONS:MCLIENT}
+USE_RC_SUBR=	boinc-client
 LIB_DEPENDS+=	curl:${PORTSDIR}/ftp/curl
 RUN_DEPENDS+=	${LOCALBASE}/share/certs/ca-root-nss.crt:${PORTSDIR}/security/ca_root_nss
 PLIST_SUB+=	BOINC_CLIENT=""
+SUB_LIST+=	OPTION_CLIENT="true"
+SUB_LIST+=	OPTION_NO_GUI_RPC=${PORT_OPTIONS:MNO_GUI_RPC:S/^NO_GUI_RPC$/--no_gui_rpc/}
+SUB_LIST+=	OPTION_NO_NET_INFO=${PORT_OPTIONS:MNO_NET_INFO:S/^NO_NET_INFO$/--suppress_net_info/}
 .else
+PORT_OPTIONS:=	${PORT_OPTIONS:NUSER}
 CONFIGURE_ARGS+=--disable-client
 PLIST_SUB+=	BOINC_CLIENT="@comment "
+SUB_LIST+=	OPTION_CLIENT=""
 .endif
 
 .if ${PORT_OPTIONS:MNLS} && ${PORT_OPTIONS:MMANAGER}
@@ -121,25 +117,31 @@
 USE_LINUX=	yes
 .endif
 
-.if ${PORT_OPTIONS:MSKINS}
-PLIST_SUB+=	SKINS=""
-.else
-PLIST_SUB+=	SKINS="@comment "
-.endif
-
 .if ${PORT_OPTIONS:MUSER}
 PLIST_SUB+=	USER=""
+SUB_LIST+=	OPTION_USER="true"
 .else
 PLIST_SUB+=	USER="@comment "
+SUB_LIST+=	OPTION_USER=""
 .endif
 
 .if ${PORT_OPTIONS:MOPTIMIZE}
 CONFIGURE_ARGS+=--enable-optimize
 .endif
 
+.if ${PORT_OPTIONS:MX11}
+USE_GL=		glut
+USE_XORG+=	xmu xi
+LIB_DEPENDS+=	jpeg:${PORTSDIR}/graphics/jpeg
+PLIST_SUB+=	X11=""
+.else
+PLIST_SUB+=	X11="@comment "
+.endif
+
+PORT_OPTIONS:=	${PORT_OPTIONS:O:u}
+
 post-patch:
 	@${REINPLACE_CMD} -e 's|client/scripts||' ${WRKSRC}/Makefile.in
-	@${REINPLACE_CMD} -e 's|-lcrypto -ldl|-lcrypto|' ${WRKSRC}/configure
 .if ${PORT_OPTIONS:MNLS}
 	@${REINPLACE_CMD} -e 's|$$$$mydir/$$$$ldir|&/LC_MESSAGES|' ${WRKSRC}/locale/Makefile.in
 .else
@@ -150,36 +152,33 @@
 .endif
 
 pre-install:
-.if ${PORT_OPTIONS:MUSER}
 	@PKG_PREFIX=${PREFIX} ${SH} ${PKGINSTALL} ${PKGNAME} PRE-INSTALL
-.endif
 
 post-install:
-.if ${PORT_OPTIONS:MMANAGER}
+.if ${PORT_OPTIONS:MMANAGER} || ${PORT_OPTIONS:MX11}
 	${MKDIR} ${PREFIX}/share/boinc
-	${MKDIR} ${LOCALBASE}/share/pixmaps
+.endif
+.if ${PORT_OPTIONS:MMANAGER}
+	${MKDIR} ${PREFIX}/share/pixmaps
 . for name in 16 32 48
-	${INSTALL_DATA} ${WRKSRC}/clientgui/res/boincmgr.${name}x${name}.png ${LOCALBASE}/share/pixmaps
+	${INSTALL_DATA} ${WRKSRC}/clientgui/res/boincmgr.${name}x${name}.png \
+	    ${PREFIX}/share/pixmaps
 . endfor
-. if ${PORT_OPTIONS:MSKINS}
-	${CP} -R ${WRKSRC}/clientgui/skins ${PREFIX}/share/boinc
-. else
-	${MKDIR} ${PREFIX}/share/boinc/skins
-	${CP} -R ${WRKSRC}/clientgui/skins/Default ${PREFIX}/share/boinc/skins
-. endif
+	(cd ${WRKSRC}/clientgui && \
+	    ${COPYTREE_SHARE} skins ${PREFIX}/share/boinc/)
 .endif
 . for name in config.h api/reduce.h lib/shmem.h lib/std_fixes.h
 	${INSTALL_DATA} ${WRKSRC}/${name} ${PREFIX}/include/boinc
 . endfor
 .if ${PORT_OPTIONS:MX11}
 . for name in api/boinc_gl.h api/graphics_api.h api/graphics_data.h \
-	api/txf_util.h
+    api/ttfont.h
 	${INSTALL_DATA} ${WRKSRC}/${name} ${PREFIX}/include/boinc
 . endfor
-. if empty(PORT_OPTIONS:MMANAGER)
-	${MKDIR} ${PREFIX}/share/boinc
-. endif
-	${CP} -R ${WRKSRC}/api/txf ${PREFIX}/share/boinc
+	${MKDIR} ${PREFIX}/share/boinc/ttf
+	(cd ${WRKSRC}/api/ttf/liberation-fonts-ttf-2.00.0 && \
+	    ${COPYTREE_SHARE} \*.ttf ${PREFIX}/share/boinc/ttf/)
 .endif
+	@PKG_PREFIX=${PREFIX} ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
 
 .include <bsd.port.post.mk>
diff -ruN boinc-client.orig/distinfo boinc-client/distinfo
--- boinc-client.orig/distinfo	2012-08-27 16:24:03.000000000 +0300
+++ boinc-client/distinfo	2013-04-27 14:40:52.000000000 +0300
@@ -1,2 +1,2 @@
-SHA256 (boinc-client-7.0.28.tar.xz) = a8d208b7145e911e856db4d4cdcfa843e26b445a948c11e40ad03ae3fdd657fa
-SIZE (boinc-client-7.0.28.tar.xz) = 4529336
+SHA256 (boinc-client-7.0.65.tar.xz) = 9bd3ee23047ef3d51911e52c0158b7d19db22ebf1910f6c63586727b654a67b1
+SIZE (boinc-client-7.0.65.tar.xz) = 4071596
diff -ruN boinc-client.orig/files/boinc-client.in boinc-client/files/boinc-client.in
--- boinc-client.orig/files/boinc-client.in	2012-11-17 07:59:57.000000000 +0200
+++ boinc-client/files/boinc-client.in	2013-04-26 11:47:25.000000000 +0300
@@ -24,7 +24,7 @@
 pidfile="/var/run/${name}.pid"
 
 boinc_client_user=%%BOINC_CLIENT_USER%%
-command_args="--daemon --dir \"%%BOINC_CLIENT_HOME%%\""
+command_args="--daemon %%OPTION_NO_GUI_RPC%% %%OPTION_NO_NET_INFO%% --dir \"%%BOINC_CLIENT_HOME%%\""
 
 start_cmd=boinc_client_start
 stop_postcmd=boinc_client_poststop
diff -ruN boinc-client.orig/files/patch-api__boinc_api.h boinc-client/files/patch-api__boinc_api.h
--- boinc-client.orig/files/patch-api__boinc_api.h	2012-06-10 17:39:02.000000000 +0300
+++ boinc-client/files/patch-api__boinc_api.h	1970-01-01 03:00:00.000000000 +0300
@@ -1,18 +0,0 @@
---- api/boinc_api.h.orig	2012-04-13 09:59:23.000000000 +0200
-+++ api/boinc_api.h	2012-06-06 14:40:16.000000000 +0200
-@@ -83,7 +83,6 @@
- 
- extern int boinc_init(void);
- extern int boinc_finish(int status);
--extern int boinc_temporary_exit(int delay, const char* reason=NULL);
- extern int boinc_get_init_data_p(struct APP_INIT_DATA*);
- extern int boinc_parse_init_data_file(void);
- extern int boinc_send_trickle_up(char* variety, char* text);
-@@ -139,6 +138,7 @@
-     double cpu_time, double checkpoint_cpu_time, double _fraction_done,
-     int other_pid, double bytes_sent, double bytes_received
- );
-+extern int boinc_temporary_exit(int delay, const char* reason=NULL);
- 
- /////////// API ENDS HERE
- 
diff -ruN boinc-client.orig/files/patch-client-hostinfo_unix.cpp boinc-client/files/patch-client-hostinfo_unix.cpp
--- boinc-client.orig/files/patch-client-hostinfo_unix.cpp	2012-04-15 15:57:50.000000000 +0300
+++ boinc-client/files/patch-client-hostinfo_unix.cpp	1970-01-01 03:00:00.000000000 +0300
@@ -1,32 +0,0 @@
---- client/hostinfo_unix.cpp.orig	2012-04-09 14:00:43.000000000 +0300
-+++ client/hostinfo_unix.cpp		2012-04-09 15:42:49.000000000 +0300
-@@ -584,9 +584,10 @@
- 
- void use_cpuid(HOST_INFO& host) {
-     u_int p[4];
--    int hasMMX, hasSSE, hasSSE2, hasSSE3, has3DNow, has3DNowExt = 0;
-+    int hasMMX, hasSSE, hasSSE2, hasSSE3, has3DNow, has3DNowExt;
-     char capabilities[256];
- 
-+    hasMMX = hasSSE = hasSSE2 = hasSSE3 = has3DNow = has3DNowExt = 0;
-     do_cpuid(0x0, p);
- 
-     if (p[0] >= 0x1) {
-@@ -1285,7 +1286,7 @@
-     m_nbytes = (double)sysconf(_SC_PAGESIZE) * (double)sysconf(_SC_PHYS_PAGES);
-     if (m_nbytes < 0) {
-         msg_printf(NULL, MSG_INTERNAL_ERROR,
--            "RAM size not measured correctly: page size %d, #pages %d",
-+            "RAM size not measured correctly: page size %ld, #pages %ld",
-             sysconf(_SC_PAGESIZE), sysconf(_SC_PHYS_PAGES)
-         );
-     }
-@@ -1311,7 +1312,7 @@
-     int mem_size;
-     getsysinfo( GSI_PHYSMEM, (caddr_t) &mem_size, sizeof( mem_size));
-     m_nbytes = 1024.* (double)mem_size;
--#elif defined(HW_PHYSMEM) 
-+#elif defined(__OpenBSD__) 
-     // for OpenBSD
-     mib[0] = CTL_HW; 
-     int mem_size; 
diff -ruN boinc-client.orig/files/patch-clientgui-AsyncRPC.cpp boinc-client/files/patch-clientgui-AsyncRPC.cpp
--- boinc-client.orig/files/patch-clientgui-AsyncRPC.cpp	2012-05-25 15:23:56.000000000 +0300
+++ boinc-client/files/patch-clientgui-AsyncRPC.cpp	2013-04-24 13:10:00.000000000 +0300
@@ -1,12 +1,12 @@
 --- clientgui/AsyncRPC.cpp.orig		2012-04-07 11:55:37.000000000 +0300
 +++ clientgui/AsyncRPC.cpp		2012-04-07 11:56:14.000000000 +0300
-@@ -20,7 +20,9 @@
- #endif
+@@ -31,7 +31,9 @@
+ #include "util.h"
  
  #if !(defined(_WIN32) || (defined(__WXMAC__) && (MAC_OS_X_VERSION_MIN_REQUIRED < MAC_OS_X_VERSION_10_4)))
 +#if !defined(NO_PER_THREAD_LOCALE)
  #include <xlocale.h>
 +#endif
- //#include "gui_rpc_client.h"
+ #include "gui_rpc_client.h"
  #endif
  
diff -ruN boinc-client.orig/files/patch-clientgui-stdwx.h boinc-client/files/patch-clientgui-stdwx.h
--- boinc-client.orig/files/patch-clientgui-stdwx.h	2012-04-15 15:57:50.000000000 +0300
+++ boinc-client/files/patch-clientgui-stdwx.h	1970-01-01 03:00:00.000000000 +0300
@@ -1,11 +0,0 @@
---- clientgui/stdwx.h.orig	2012-04-09 14:00:42.000000000 +0300
-+++ clientgui/stdwx.h		2012-04-09 15:55:46.000000000 +0300
-@@ -164,7 +164,7 @@
- // Standard Libraries
- //
- #ifndef __APPLE__
--#include <malloc.h>
-+#include <stdlib.h>
- #endif
- 
- // C headers
diff -ruN boinc-client.orig/files/patch-zip-unzip-extract.c boinc-client/files/patch-zip-unzip-extract.c
--- boinc-client.orig/files/patch-zip-unzip-extract.c	2012-10-18 22:22:09.000000000 +0300
+++ boinc-client/files/patch-zip-unzip-extract.c	1970-01-01 03:00:00.000000000 +0300
@@ -1,11 +0,0 @@
---- zip/unzip/extract.c.orig	2012-04-09 13:58:50.000000000 +0300
-+++ zip/unzip/extract.c		2012-09-12 14:05:07.000000000 +0300
-@@ -218,7 +218,7 @@
- static ZCONST char Far InvalidComprData[] = "invalid compressed data to ";
- static ZCONST char Far Inflate[] = "inflate_boinc";
- 
--extern int inflate_boinc(__G__ is_defl64);
-+extern int inflate_boinc(__GPRO__ int is_defl64);
- 
- #ifndef SFX
-    static ZCONST char Far Explode[] = "explode";
diff -ruN boinc-client.orig/files/pkg-install.in boinc-client/files/pkg-install.in
--- boinc-client.orig/files/pkg-install.in	2012-11-01 23:26:21.000000000 +0200
+++ boinc-client/files/pkg-install.in	2013-04-25 15:46:45.000000000 +0300
@@ -8,31 +8,44 @@
 user=%%BOINC_CLIENT_USER%%
 group=%%BOINC_CLIENT_GROUP%%
 home="%%BOINC_CLIENT_HOME%%"
-shell=/bin/sh
+option_client=%%OPTION_CLIENT%%
+option_manager=%%OPTION_MANAGER%%
+option_user=%%OPTION_USER%%
 
 case $2 in
 PRE-INSTALL)
-	if ! pw usershow ${user} 2>/dev/null 1>&2; then
-		if ! pw useradd ${user} -g ${group} -c "BOINC client user" \
-		    -d "${home}" -s ${shell}; then
-			echo "Failed to create user \"${user}\"." >&2
-			exit 1
+	if [ -n "${option_user}" ]; then
+		if ! pw usershow ${user} 2>/dev/null 1>&2; then
+			if ! pw useradd ${user} -g ${group} -c "BOINC client user" \
+			    -d "${home}" -s "/bin/sh"; then
+				echo "Failed to create user \"${user}\"." >&2
+				exit 1
+			else
+				echo "===> Created user \"${user}\""
+			fi
 		else
-			echo "User \"${user}\" created successfully:"
+			echo "===> Using existent user \"${user}\""
+		fi
+		mkdir -m u=rwx,go= -p "${home}"
+		if [ -n "${option_manager}" -a ! -e "${home}/skins" -a ! -L "${home}/skins" ]; then
+			ln -s "%%PREFIX%%/share/boinc/skins" "${home}/skins"
+		fi
+		if [ ! -e "${home}/ca-bundle.crt" -a ! -L "${home}/ca-bundle.crt" ]; then
+			ln -s "%%LOCALBASE%%/share/certs/ca-root-nss.crt" "${home}/ca-bundle.crt"
 		fi
-	else
-		echo "Using existent user \"${user}\":"
 	fi
-	pw usershow ${user}
-	mkdir -m u=rwx,go= -p "${home}"
-	if [ ! -e "${home}/skins" -a ! -L "${home}/skins" ]; then
-		ln -s "%%PREFIX%%/share/boinc/skins" "${home}/skins"
+	;;
+POST-INSTALL)
+	if [ -n "${option_client}" ]; then
+		echo "===> User in the boinc-client script:"
+		pw usershow ${user}
+		echo "===> Directory in the boinc-client script:"
+		echo ${home}
 	fi
-	if [ ! -e "${home}/ca-bundle.crt" -a ! -L "${home}/ca-bundle.crt" ]; then
-		ln -s "%%LOCALBASE%%/share/certs/ca-root-nss.crt" "${home}/ca-bundle.crt"
+	if [ -n "${option_user}" ]; then
+		echo "===> Adjusting file ownership in \"${home}\" to ${user}:${group}"
+		chown -hR ${user}:${group} "${home}"
 	fi
-	echo "Adjusting file ownership in \"${home}\" to ${user}:${group}"
-	chown -hR ${user}:${group} "${home}"
 	;;
 esac
 
diff -ruN boinc-client.orig/pkg-message boinc-client/pkg-message
--- boinc-client.orig/pkg-message	2012-04-15 15:57:50.000000000 +0300
+++ boinc-client/pkg-message	2013-04-24 12:51:04.000000000 +0300
@@ -1,7 +1,9 @@
 -------------------------------------------------------------------
-The BOINC client is now installed.  You now need to register with
-and install one or more projects.
+The boinc-client port is now installed.
 
-Refer to the BOINC web page at:
+Refer to the BOINC User manual at:
+	http://boinc.berkeley.edu/wiki/User_manual
+
+Refer to the BOINC web site for complete information at:
 	http://boinc.berkeley.edu/
 -------------------------------------------------------------------
diff -ruN boinc-client.orig/pkg-plist boinc-client/pkg-plist
--- boinc-client.orig/pkg-plist	2012-10-18 22:22:09.000000000 +0300
+++ boinc-client/pkg-plist	2013-04-26 15:34:24.000000000 +0300
@@ -3,6 +3,7 @@
 %%BOINC_CLIENT%%bin/boinccmd
 %%BOINC_CLIENT%%bin/switcher
 %%BOINC_MANAGER%%bin/boincmgr
+%%BOINC_MANAGER%%bin/boincscr
 include/boinc/app_ipc.h
 include/boinc/average.h
 include/boinc/base64.h
@@ -53,7 +54,7 @@
 %%X11%%include/boinc/boinc_gl.h
 %%X11%%include/boinc/graphics_api.h
 %%X11%%include/boinc/graphics_data.h
-%%X11%%include/boinc/txf_util.h
+%%X11%%include/boinc/ttfont.h
 lib/libboinc.a
 lib/libboinc.la
 lib/libboinc_api.a
@@ -74,288 +75,23 @@
 %%X11%%lib/libboinc_graphics2.la
 %%X11%%lib/libboinc_graphics2.so
 %%X11%%lib/libboinc_graphics2.so.7
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/arwLeft.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/arwLeftClick.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/arwRight.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/arwRightClick.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/btnAddProject.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/btnAddProjectClick.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/btnAdvancedView.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/btnCancel.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/btnCancelClick.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/btnChange.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/btnChangeClick.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/btnClear.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/btnClearClick.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/btnClose.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/btnCloseClick.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/btnCopy.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/btnCopyAll.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/btnCopyAllClicked.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/btnCopyClicked.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/btnHelp.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/btnHelpClicked.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/btnMessages.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/btnMessagesAlert.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/btnPreferences.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/btnResume.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/btnSave.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/btnSaveClick.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/btnSnooze.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/btnSynchronize.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/btnSynchronizeClick.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/ce_about.ico
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/ce_background.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/ce_icon_play.gif
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/ce_icon_play.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/ce_pause.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/ce_play.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/ce_stop.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/ce_wizard_bar.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/conn_ind.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/default_stat_icon.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/dlgBackground.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/error_image.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/gauge_bg.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/gauge_progress_indicator.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/ico_workWU.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/ico_workWU_sus.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/proj_bg.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/project_image.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/simplegui_bg.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/spacer.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/state_ind_bg.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/tabArea_bg.png
-%%SKINS%%share/boinc/skins/Charity Engine/graphic/wu_bg.png
-%%SKINS%%share/boinc/skins/Charity Engine/skin.xml
 %%BOINC_MANAGER%%share/boinc/skins/Default/background_image.png
 %%BOINC_MANAGER%%share/boinc/skins/Default/skin.xml
 %%BOINC_MANAGER%%share/boinc/skins/Default/workunit_running_image.png
 %%BOINC_MANAGER%%share/boinc/skins/Default/workunit_suspended_image.png
 %%BOINC_MANAGER%%share/boinc/skins/Default/workunit_waiting_image.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/arwLeft.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/arwLeftClick.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/arwRight.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/arwRightClick.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnAddProject.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnAddProjectClick.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnAdvancedView.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnCancel.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnCancelClick.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnChange.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnChangeClick.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnClear.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnClearClick.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnClose.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnCloseClick.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnCopy.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnCopyAll.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnCopyAllClicked.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnCopyClicked.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnHelp.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnHelpClicked.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnMessages.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnMessagesOrange.gif
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnMessagesOrange.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnPreferences.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnResume.gif
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnResume.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnSave.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnSaveClick.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnSnooze.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnSynchronize.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/btnSynchronizeClick.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/conn_ind.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/default_stat_icon.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/dlgBackground.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/error_image.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/gauge_bg.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/gauge_progress_indicator.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/gr_about.ico
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/gr_background.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/gr_icon_play.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/gr_pause.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/gr_play.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/gr_stop.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/gr_wizard_bar.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/ico_workWU.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/ico_workWU_sus.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/proj_bg.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/project_image.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/simplegui_bg.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/spacer.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/state_ind_bg.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/tabArea_bg.png
-%%SKINS%%share/boinc/skins/GridRepublic/graphic/wu_bg.png
-%%SKINS%%share/boinc/skins/GridRepublic/skin.xml
-%%SKINS%%share/boinc/skins/People for a Smarter Planet/graphic/advanced_link_image.png
-%%SKINS%%share/boinc/skins/People for a Smarter Planet/graphic/attach_project_button.png
-%%SKINS%%share/boinc/skins/People for a Smarter Planet/graphic/background_image.png
-%%SKINS%%share/boinc/skins/People for a Smarter Planet/graphic/cancel_button.png
-%%SKINS%%share/boinc/skins/People for a Smarter Planet/graphic/close_button.png
-%%SKINS%%share/boinc/skins/People for a Smarter Planet/graphic/connecting_indicator_image.png
-%%SKINS%%share/boinc/skins/People for a Smarter Planet/graphic/copy_all_button.png
-%%SKINS%%share/boinc/skins/People for a Smarter Planet/graphic/copy_button.png
-%%SKINS%%share/boinc/skins/People for a Smarter Planet/graphic/dialog_background_image.png
-%%SKINS%%share/boinc/skins/People for a Smarter Planet/graphic/error_indicator_image.png
-%%SKINS%%share/boinc/skins/People for a Smarter Planet/graphic/gauge_bg.png
-%%SKINS%%share/boinc/skins/People for a Smarter Planet/graphic/help_button.png
-%%SKINS%%share/boinc/skins/People for a Smarter Planet/graphic/left_arrow_button.png
-%%SKINS%%share/boinc/skins/People for a Smarter Planet/graphic/messages_alert_link_image.png
-%%SKINS%%share/boinc/skins/People for a Smarter Planet/graphic/messages_link_image.png
-%%SKINS%%share/boinc/skins/People for a Smarter Planet/graphic/preferences_link_image.png
-%%SKINS%%share/boinc/skins/People for a Smarter Planet/graphic/project_area_background_image.png
-%%SKINS%%share/boinc/skins/People for a Smarter Planet/graphic/project_image.png
-%%SKINS%%share/boinc/skins/People for a Smarter Planet/graphic/resume_link_image.png
-%%SKINS%%share/boinc/skins/People for a Smarter Planet/graphic/right_arrow_button.png
-%%SKINS%%share/boinc/skins/People for a Smarter Planet/graphic/save_button.png
-%%SKINS%%share/boinc/skins/People for a Smarter Planet/graphic/spacer_image.png
-%%SKINS%%share/boinc/skins/People for a Smarter Planet/graphic/state_indicator_background_image.png
-%%SKINS%%share/boinc/skins/People for a Smarter Planet/graphic/suspend_link_image.png
-%%SKINS%%share/boinc/skins/People for a Smarter Planet/graphic/tabArea_bg.png
-%%SKINS%%share/boinc/skins/People for a Smarter Planet/graphic/wcg_about.ico
-%%SKINS%%share/boinc/skins/People for a Smarter Planet/graphic/wcg_pause.png
-%%SKINS%%share/boinc/skins/People for a Smarter Planet/graphic/wcg_play.png
-%%SKINS%%share/boinc/skins/People for a Smarter Planet/graphic/wcg_stop.png
-%%SKINS%%share/boinc/skins/People for a Smarter Planet/graphic/workunit_active_tab.png
-%%SKINS%%share/boinc/skins/People for a Smarter Planet/graphic/workunit_animation_background_image copy.png
-%%SKINS%%share/boinc/skins/People for a Smarter Planet/graphic/workunit_animation_background_image.png
-%%SKINS%%share/boinc/skins/People for a Smarter Planet/graphic/workunit_area_background_image.png
-%%SKINS%%share/boinc/skins/People for a Smarter Planet/graphic/workunit_gauge_background_image.png
-%%SKINS%%share/boinc/skins/People for a Smarter Planet/graphic/workunit_gauge_progress_indicator_image.png
-%%SKINS%%share/boinc/skins/People for a Smarter Planet/graphic/workunit_suspended_tab.png
-%%SKINS%%share/boinc/skins/People for a Smarter Planet/graphic/workunit_tab_area_background_image.png
-%%SKINS%%share/boinc/skins/People for a Smarter Planet/skin.xml
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/arwLeft.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/arwLeftClick.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/arwRight.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/arwRightClick.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/btnAddProject.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/btnAddProjectClick.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/btnAdvancedView.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/btnCancel.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/btnCancelClick.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/btnChange.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/btnChangeClick.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/btnClear.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/btnClearClick.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/btnClose.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/btnCloseClick.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/btnCopy.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/btnCopyAll.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/btnCopyAllClicked.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/btnCopyClicked.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/btnHelp.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/btnHelpClicked.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/btnMessages.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/btnMessagesAlert.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/btnPreferences.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/btnResume.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/btnSave.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/btnSaveClick.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/btnSnooze.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/btnSynchronize.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/btnSynchronizeClick.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/conn_ind.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/default_stat_icon.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/dlgBackground.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/error_image.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/gauge_bg.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/gauge_progress_indicator.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/ico_workWU.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/ico_workWU_sus.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/proj_bg.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/project_image.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/ptp_background.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/ptp_icon_play.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/ptp_pause.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/ptp_play.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/ptp_stop.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/ptp_wizard_bar.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/simplegui_bg.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/spacer.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/state_ind_bg.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/tabArea_bg.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/wu_bg.png
-%%SKINS%%share/boinc/skins/Progress Thru Processors/skin.xml
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/arwLeft.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/arwLeftClick.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/arwRight.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/arwRightClick.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/btnAddProject.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/btnAddProjectClick.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/btnAdvancedView.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/btnCancel.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/btnCancelClick.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/btnChange.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/btnChangeClick.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/btnClear.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/btnClearClick.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/btnClose.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/btnCloseClick.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/btnCopy.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/btnCopyAll.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/btnCopyAllClicked.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/btnCopyClicked.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/btnHelp.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/btnHelpClicked.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/btnMessages.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/btnMessagesRed.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/btnPreferences.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/btnResume.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/btnSave.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/btnSaveClick.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/btnSnooze.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/conn_ind.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/default_stat_icon.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/dlgBackground.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/error_image.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/gauge_bg.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/gauge_progress_indicator.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/ico_workWU.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/proj_bg.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/project_image.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/simplegui_bg.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/spacer.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/state_ind_bg.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/tabArea_bg.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/wcg_about.ico
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/wcg_black_background.gif
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/wcg_pause.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/wcg_play.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/wcg_stop.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/wcg_wizard_bar.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/wu_bg.png
-%%SKINS%%share/boinc/skins/World Community Grid/skin.xml
-%%X11%%share/boinc/txf/AvantGarde-Book.txf
-%%X11%%share/boinc/txf/AvantGarde-BookOblique.txf
-%%X11%%share/boinc/txf/AvantGarde-Demi.txf
-%%X11%%share/boinc/txf/AvantGarde-DemiOblique.txf
-%%X11%%share/boinc/txf/Bookman-Demi.txf
-%%X11%%share/boinc/txf/Bookman-DemiItalic.txf
-%%X11%%share/boinc/txf/Bookman-Light.txf
-%%X11%%share/boinc/txf/Bookman-LightItalic.txf
-%%X11%%share/boinc/txf/Courier-Bold.txf
-%%X11%%share/boinc/txf/Courier-BoldOblique.txf
-%%X11%%share/boinc/txf/Courier-Oblique.txf
-%%X11%%share/boinc/txf/Courier.txf
-%%X11%%share/boinc/txf/Helvetica-Bold.txf
-%%X11%%share/boinc/txf/Helvetica-BoldOblique.txf
-%%X11%%share/boinc/txf/Helvetica-Oblique.txf
-%%X11%%share/boinc/txf/Helvetica.txf
-%%X11%%share/boinc/txf/NewCenturySchlbk-Bold.txf
-%%X11%%share/boinc/txf/NewCenturySchlbk-BoldItalic.txf
-%%X11%%share/boinc/txf/NewCenturySchlbk-Italic.txf
-%%X11%%share/boinc/txf/NewCenturySchlbk-Roman.txf
-%%X11%%share/boinc/txf/Palatino-Bold.txf
-%%X11%%share/boinc/txf/Palatino-BoldItalic.txf
-%%X11%%share/boinc/txf/Palatino-Italic.txf
-%%X11%%share/boinc/txf/Palatino-Roman.txf
-%%X11%%share/boinc/txf/Times-Bold.txf
-%%X11%%share/boinc/txf/Times-BoldItalic.txf
-%%X11%%share/boinc/txf/Times-Italic.txf
-%%X11%%share/boinc/txf/Times-Roman.txf
-%%X11%%share/boinc/txf/ZapfChancery-MediumItalic.txf
+%%X11%%share/boinc/ttf/LiberationMono-Bold.ttf
+%%X11%%share/boinc/ttf/LiberationMono-BoldItalic.ttf
+%%X11%%share/boinc/ttf/LiberationMono-Italic.ttf
+%%X11%%share/boinc/ttf/LiberationMono-Regular.ttf
+%%X11%%share/boinc/ttf/LiberationSans-Bold.ttf
+%%X11%%share/boinc/ttf/LiberationSans-BoldItalic.ttf
+%%X11%%share/boinc/ttf/LiberationSans-Italic.ttf
+%%X11%%share/boinc/ttf/LiberationSans-Regular.ttf
+%%X11%%share/boinc/ttf/LiberationSerif-Bold.ttf
+%%X11%%share/boinc/ttf/LiberationSerif-BoldItalic.ttf
+%%X11%%share/boinc/ttf/LiberationSerif-Italic.ttf
+%%X11%%share/boinc/ttf/LiberationSerif-Regular.ttf
 %%NLS%%share/locale/ar/LC_MESSAGES/BOINC-Client.mo
 %%NLS%%share/locale/ar/LC_MESSAGES/BOINC-Manager.mo
 %%NLS%%share/locale/be/LC_MESSAGES/BOINC-Client.mo
@@ -432,19 +168,9 @@
 %%BOINC_MANAGER%%share/pixmaps/boincmgr.32x32.png
 %%BOINC_MANAGER%%share/pixmaps/boincmgr.48x48.png
 @dirrm include/boinc
-%%SKINS%%@dirrm share/boinc/skins/Charity Engine/graphic
-%%SKINS%%@dirrm share/boinc/skins/Charity Engine
 %%BOINC_MANAGER%%@dirrm share/boinc/skins/Default
-%%SKINS%%@dirrm share/boinc/skins/GridRepublic/graphic
-%%SKINS%%@dirrm share/boinc/skins/GridRepublic
-%%SKINS%%@dirrm share/boinc/skins/People for a Smarter Planet/graphic
-%%SKINS%%@dirrm share/boinc/skins/People for a Smarter Planet
-%%SKINS%%@dirrm share/boinc/skins/Progress Thru Processors/graphic
-%%SKINS%%@dirrm share/boinc/skins/Progress Thru Processors
-%%SKINS%%@dirrm share/boinc/skins/World Community Grid/graphic
-%%SKINS%%@dirrm share/boinc/skins/World Community Grid
 %%BOINC_MANAGER%%@dirrm share/boinc/skins
-%%X11%%@dirrm share/boinc/txf
+%%X11%%@dirrm share/boinc/ttf
 %%X11%%@dirrm share/boinc
 %%NLS%%@dirrmtry share/locale/sv_SE/LC_MESSAGES
 %%NLS%%@dirrmtry share/locale/sv_SE
Comment 3 Rene Ladan freebsd_committer 2013-07-10 10:39:36 UTC
Responsible Changed
From-To: pav->rene

I took over the port.
Comment 4 dfilter service freebsd_committer 2013-08-21 15:46:00 UTC
Author: rene
Date: Wed Aug 21 14:45:47 2013
New Revision: 325145
URL: http://svnweb.freebsd.org/changeset/ports/325145

Log:
  Add two new options for the rc.d script:
  - NO_GUI_RPC to not create a socket for communication with external
    user interfaces, setting this breaks net/boinc_curses
  - NO_NET_INFO to not send your host address and host name to the
    BOINC servers.
  
  While here use bsd.port.options.mk
  
  PR:		ports/176724 (part)
  Submitted by:	Andrey Simonenko <simon@comsys.ntu-kpi.kiev.ua>

Modified:
  head/net/boinc-client/Makefile
  head/net/boinc-client/files/boinc-client.in   (contents, props changed)

Modified: head/net/boinc-client/Makefile
==============================================================================
--- head/net/boinc-client/Makefile	Wed Aug 21 14:45:11 2013	(r325144)
+++ head/net/boinc-client/Makefile	Wed Aug 21 14:45:47 2013	(r325145)
@@ -38,6 +38,8 @@ CPPFLAGS+=	-I${LOCALBASE}/include
 NO_OPTIONS_SORT=	yes
 OPTIONS_DEFINE=		CLIENT MANAGER X11 LINUX USER SKINS OPTIMIZE
 OPTIONS_DEFAULT=	CLIENT MANAGER X11 USER
+OPTIONS_GROUP=		SCRIPT
+OPTIONS_GROUP_SCRIPT=	NO_GUI_RPC NO_NET_INFO
 CLIENT_DESC=		Build BOINC client
 MANAGER_DESC=		Build BOINC manager GUI
 X11_DESC=		Build graphics API
@@ -45,8 +47,11 @@ LINUX_DESC=		Accept Linux science applic
 USER_DESC=		Create/check BOINC client user
 SKINS_DESC=		Install more skins for BOINC manager
 OPTIMIZE_DESC=		Enable compiler optimization flags
+SCRIPT_DESC=		Command line options in script
+NO_GUI_RPC_DESC=	Do not allow GUI RPC, do not make socket (breaks boinc_curses)
+NO_NET_INFO_DESC=	Do not send host address and name to servers
 
-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
 
 .if defined(BOINC_USER) || defined(BOINC_GROUP) || defined(BOINC_HOME)
 pre-extract:
@@ -101,6 +106,8 @@ PLIST_SUB+=	BOINC_MANAGER="@comment "
 LIB_DEPENDS+=	curl:${PORTSDIR}/ftp/curl
 RUN_DEPENDS+=	${LOCALBASE}/share/certs/ca-root-nss.crt:${PORTSDIR}/security/ca_root_nss
 PLIST_SUB+=	BOINC_CLIENT=""
+SUB_LIST+=	OPTION_NO_GUI_RPC=${PORT_OPTIONS:MNO_GUI_RPC:S/^NO_GUI_RPC$/--no_gui_rpc/} \
+		OPTION_NO_NET_INFO=${PORT_OPTIONS:MNO_NET_INFO:S/^NO_NET_INFO$/--suppress_net_info/}
 .else
 CONFIGURE_ARGS+=--disable-client
 PLIST_SUB+=	BOINC_CLIENT="@comment "
@@ -178,4 +185,4 @@ post-install:
 	${CP} -R ${WRKSRC}/api/txf ${PREFIX}/share/boinc
 .endif
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/net/boinc-client/files/boinc-client.in
==============================================================================
--- head/net/boinc-client/files/boinc-client.in	Wed Aug 21 14:45:11 2013	(r325144)
+++ head/net/boinc-client/files/boinc-client.in	Wed Aug 21 14:45:47 2013	(r325145)
@@ -24,7 +24,7 @@ command="%%PREFIX%%/bin/boinc_client"
 pidfile="/var/run/${name}.pid"
 
 boinc_client_user=%%BOINC_CLIENT_USER%%
-command_args="--daemon --dir \"%%BOINC_CLIENT_HOME%%\""
+command_args="--daemon %%OPTION_NO_GUI_RPC%% %%OPTION_NO_NET_INFO%% --dir \"%%BOINC_CLIENT_HOME%%\""
 
 start_cmd=boinc_client_start
 stop_postcmd=boinc_client_poststop
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 dfilter service freebsd_committer 2013-08-24 10:36:20 UTC
Author: rene
Date: Sat Aug 24 09:36:08 2013
New Revision: 325290
URL: http://svnweb.freebsd.org/changeset/ports/325290

Log:
  Reword pkg-message, there is strictly speaking no need to register with
  one of the projects.
  
  PR:		ports/176724 (part, based on)
  Submitted by:	Andrey Simonenko <simon@comsys.ntu-kpi.kiev.ua>

Modified:
  head/net/boinc-client/pkg-message   (contents, props changed)

Modified: head/net/boinc-client/pkg-message
==============================================================================
--- head/net/boinc-client/pkg-message	Sat Aug 24 09:25:26 2013	(r325289)
+++ head/net/boinc-client/pkg-message	Sat Aug 24 09:36:08 2013	(r325290)
@@ -1,7 +1,8 @@
 -------------------------------------------------------------------
-The BOINC client is now installed.  You now need to register with
-and install one or more projects.
+The BOINC client is now installed.
 
-Refer to the BOINC web page at:
+For instructions, refer to the BOINC user manual at:
+	http://boinc.berkeley.edu/wiki/User_manual
+For complete information, refer to the BOINC web site at:
 	http://boinc.berkeley.edu/
 -------------------------------------------------------------------
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 dfilter service freebsd_committer 2013-08-27 22:38:00 UTC
Author: rene
Date: Tue Aug 27 21:37:47 2013
New Revision: 325489
URL: http://svnweb.freebsd.org/changeset/ports/325489

Log:
  Overhaul option handling:
  - Only use the rc framework for boinc-client when the CLIENT option is
    selected
  - Always set CLIENT and X11 options when MANAGER option is selected
  - Unset USER option when CLIENT option is not selected
  - Create the share/boinc directory when the MANAGER or X11 option is
    set instead of when the USER option is set
  - Prefer negation over empty() when checking options
  - Update description for the USER option
  
  In pkg-install.in :
  - Only install the CA bundle and only adjust file ownership of ~boinc
    when the USER option is selected
  - Only install skins when both the USER and MANAGER options are selected
  
  While here:
  - create share/pixmaps in PREFIX instead of LOCALBASE
  - wrap a long line
  
  PR:		ports/176724 (part)
  Submitted by:	Andrey Simonenko <simon@comsys.ntu-kpi.kiev.ua>

Modified:
  head/net/boinc-client/Makefile
  head/net/boinc-client/files/pkg-install.in

Modified: head/net/boinc-client/Makefile
==============================================================================
--- head/net/boinc-client/Makefile	Tue Aug 27 21:26:36 2013	(r325488)
+++ head/net/boinc-client/Makefile	Tue Aug 27 21:37:47 2013	(r325489)
@@ -33,8 +33,6 @@ SUB_LIST=	BOINC_CLIENT_HOME="${BOINC_CLI
 		BOINC_CLIENT_GROUP="${BOINC_CLIENT_GROUP}" \
 		PREFIX="${PREFIX}" LOCALBASE="${LOCALBASE}"
 
-USE_RC_SUBR=	boinc-client
-
 CONFIGURE_ARGS=	--disable-server
 CPPFLAGS+=	-I${LOCALBASE}/include
 
@@ -47,7 +45,7 @@ CLIENT_DESC=		Build BOINC client
 MANAGER_DESC=		Build BOINC manager GUI
 X11_DESC=		Build graphics API
 LINUX_DESC=		Accept Linux science applications
-USER_DESC=		Create/check BOINC client user
+USER_DESC=		Create/check BOINC client user and directory
 SKINS_DESC=		Install more skins for BOINC manager
 OPTIMIZE_DESC=		Enable compiler optimization flags
 SCRIPT_DESC=		Command line options in script
@@ -61,12 +59,7 @@ BROKEN=		Does not install on ia64, power
 .endif
 
 .if ${PORT_OPTIONS:MMANAGER}
-. if empty(PORT_OPTIONS:MCLIENT)
-PORT_OPTIONS+=	CLIENT
-. endif
-. if empty(PORT_OPTIONS:MX11)
-PORT_OPTIONS+=	X11
-. endif
+PORT_OPTIONS+=	CLIENT X11
 .endif
 
 .if ${PORT_OPTIONS:MX11}
@@ -90,18 +83,22 @@ CONFIGURE_ARGS+=--with-sqlite3-prefix=${
 CPPFLAGS+=	-DNO_PER_THREAD_LOCALE
 . endif
 PLIST_SUB+=	BOINC_MANAGER=""
+SUB_LIST+=	OPTION_MANAGER="true"
 .else
 CONFIGURE_ARGS+=--disable-manager --with-wx-config=false --without-x
 PLIST_SUB+=	BOINC_MANAGER="@comment "
+SUB_LIST+=	OPTION_MANAGER=""
 .endif
 
 .if ${PORT_OPTIONS:MCLIENT}
+USE_RC_SUBR=	boinc-client
 LIB_DEPENDS+=	curl:${PORTSDIR}/ftp/curl
 RUN_DEPENDS+=	${LOCALBASE}/share/certs/ca-root-nss.crt:${PORTSDIR}/security/ca_root_nss
 PLIST_SUB+=	BOINC_CLIENT=""
 SUB_LIST+=	OPTION_NO_GUI_RPC=${PORT_OPTIONS:MNO_GUI_RPC:S/^NO_GUI_RPC$/--no_gui_rpc/} \
 		OPTION_NO_NET_INFO=${PORT_OPTIONS:MNO_NET_INFO:S/^NO_NET_INFO$/--suppress_net_info/}
 .else
+PORT_OPTIONS:=	${PORT_OPTIONS:NUSER}
 CONFIGURE_ARGS+=--disable-client
 PLIST_SUB+=	BOINC_CLIENT="@comment "
 .endif
@@ -125,14 +122,18 @@ PLIST_SUB+=	SKINS="@comment "
 
 .if ${PORT_OPTIONS:MUSER}
 PLIST_SUB+=	USER=""
+SUB_LIST+=	OPTION_USER="true"
 .else
 PLIST_SUB+=	USER="@comment "
+SUB_LIST+=	OPTION_USER=""
 .endif
 
 .if ${PORT_OPTIONS:MOPTIMIZE}
 CONFIGURE_ARGS+=--enable-optimize
 .endif
 
+PORT_OPTIONS:=	${PORT_OPTIONS:O:u}
+
 post-patch:
 	@${REINPLACE_CMD} -e 's|client/scripts||' ${WRKSRC}/Makefile.in
 	@${REINPLACE_CMD} -e 's|-lcrypto -ldl|-lcrypto|' ${WRKSRC}/configure
@@ -141,19 +142,20 @@ post-patch:
 .else
 	@${REINPLACE_CMD} -e 's| locale||' ${WRKSRC}/Makefile.in
 .endif
-.if empty(PORT_OPTIONS:MX11)
+.if ! ${PORT_OPTIONS:MX11}
 	@${REINPLACE_CMD} -e 's|@BUILD_GRAPHICS_API_TRUE@|#&|' ${WRKSRC}/api/Makefile.in
 .endif
 
 post-install:
-.if ${PORT_OPTIONS:MUSER}
 	@PKG_PREFIX=${PREFIX} ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
+.if ${PORT_OPTIONS:MMANAGER} || ${PORT_OPTIONS:MX11}
+	${MKDIR} ${PREFIX}/share/boinc
 .endif
 .if ${PORT_OPTIONS:MMANAGER}
-	${MKDIR} ${PREFIX}/share/boinc
-	${MKDIR} ${LOCALBASE}/share/pixmaps
+	${MKDIR} ${PREFIX}/share/pixmaps
 . for name in 16 32 48
-	${INSTALL_DATA} ${WRKSRC}/clientgui/res/boincmgr.${name}x${name}.png ${LOCALBASE}/share/pixmaps
+	${INSTALL_DATA} ${WRKSRC}/clientgui/res/boincmgr.${name}x${name}.png \
+	    ${LOCALBASE}/share/pixmaps
 . endfor
 . if ${PORT_OPTIONS:MSKINS}
 	${CP} -R ${WRKSRC}/clientgui/skins ${PREFIX}/share/boinc
@@ -170,9 +172,6 @@ post-install:
 	api/txf_util.h
 	${INSTALL_DATA} ${WRKSRC}/${name} ${PREFIX}/include/boinc
 . endfor
-. if empty(PORT_OPTIONS:MMANAGER)
-	${MKDIR} ${PREFIX}/share/boinc
-. endif
 	${CP} -R ${WRKSRC}/api/txf ${PREFIX}/share/boinc
 .endif
 

Modified: head/net/boinc-client/files/pkg-install.in
==============================================================================
--- head/net/boinc-client/files/pkg-install.in	Tue Aug 27 21:26:36 2013	(r325488)
+++ head/net/boinc-client/files/pkg-install.in	Tue Aug 27 21:37:47 2013	(r325489)
@@ -8,17 +8,21 @@ PATH=/bin:/usr/sbin:/usr/bin:/usr/sbin
 user=%%BOINC_CLIENT_USER%%
 group=%%BOINC_CLIENT_GROUP%%
 home="%%BOINC_CLIENT_HOME%%"
+option_manager=%%OPTION_MANAGER%%
+option_user=%%OPTION_USER%%
 
 case $2 in
 POST-INSTALL)
-	if [ ! -e "${home}/skins" -a ! -L "${home}/skins" ]; then
-		ln -s "%%PREFIX%%/share/boinc/skins" "${home}/skins"
+	if [ -n "${option_user}" ] ; then
+		if [ -n "${option_manager}" -a ! -e "${home}/skins" -a ! -L "${home}/skins" ]; then
+			ln -s "%%PREFIX%%/share/boinc/skins" "${home}/skins"
+		fi
+		if [ ! -e "${home}/ca-bundle.crt" -a ! -L "${home}/ca-bundle.crt" ]; then
+			ln -s "%%LOCALBASE%%/share/certs/ca-root-nss.crt" "${home}/ca-bundle.crt"
+		fi
+		echo "Adjusting file ownership in \"${home}\" to ${user}:${group}"
+		chown -hR ${user}:${group} "${home}"
 	fi
-	if [ ! -e "${home}/ca-bundle.crt" -a ! -L "${home}/ca-bundle.crt" ]; then
-		ln -s "%%LOCALBASE%%/share/certs/ca-root-nss.crt" "${home}/ca-bundle.crt"
-	fi
-	echo "Adjusting file ownership in \"${home}\" to ${user}:${group}"
-	chown -hR ${user}:${group} "${home}"
 	;;
 esac
 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 dfilter service freebsd_committer 2013-08-27 22:42:51 UTC
Author: rene
Date: Tue Aug 27 21:42:38 2013
New Revision: 325490
URL: http://svnweb.freebsd.org/changeset/ports/325490

Log:
  Catch another install target which used LOCALBASE instead of PREFIX
  
  PR:		ports/176724 (part)
  Submitted by:	Andrey Simonenko <simon@comsys.ntu-kpi.kiev.ua>

Modified:
  head/net/boinc-client/Makefile

Modified: head/net/boinc-client/Makefile
==============================================================================
--- head/net/boinc-client/Makefile	Tue Aug 27 21:37:47 2013	(r325489)
+++ head/net/boinc-client/Makefile	Tue Aug 27 21:42:38 2013	(r325490)
@@ -155,7 +155,7 @@ post-install:
 	${MKDIR} ${PREFIX}/share/pixmaps
 . for name in 16 32 48
 	${INSTALL_DATA} ${WRKSRC}/clientgui/res/boincmgr.${name}x${name}.png \
-	    ${LOCALBASE}/share/pixmaps
+	    ${PREFIX}/share/pixmaps
 . endfor
 . if ${PORT_OPTIONS:MSKINS}
 	${CP} -R ${WRKSRC}/clientgui/skins ${PREFIX}/share/boinc
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 8 dfilter service freebsd_committer 2013-08-27 23:08:03 UTC
Author: rene
Date: Tue Aug 27 22:07:56 2013
New Revision: 325492
URL: http://svnweb.freebsd.org/changeset/ports/325492

Log:
  - Move handling of X11 option down, so that the two handlers for the
    MANAGER optino can be merged [1]
  - Use new LIB_DEPENDS syntax
  
  PR:		ports/176724 [1] (part)
  Submitted by:	Andrey Simonenko <simon@comsys.ntu-kpi.kiev.ua>

Modified:
  head/net/boinc-client/Makefile

Modified: head/net/boinc-client/Makefile
==============================================================================
--- head/net/boinc-client/Makefile	Tue Aug 27 21:52:15 2013	(r325491)
+++ head/net/boinc-client/Makefile	Tue Aug 27 22:07:56 2013	(r325492)
@@ -60,24 +60,12 @@ BROKEN=		Does not install on ia64, power
 
 .if ${PORT_OPTIONS:MMANAGER}
 PORT_OPTIONS+=	CLIENT X11
-.endif
-
-.if ${PORT_OPTIONS:MX11}
-USE_GL=		glut
-USE_XORG+=	xmu xi
-LIB_DEPENDS+=	jpeg:${PORTSDIR}/graphics/jpeg
-PLIST_SUB+=	X11=""
-.else
-PLIST_SUB+=	X11="@comment "
-.endif
-
-.if ${PORT_OPTIONS:MMANAGER}
 USE_XORG+=	x11
 USE_WX=		2.8+
 USES+=		iconv
 WX_CONF_ARGS=	absolute
-LIB_DEPENDS+=	notify:${PORTSDIR}/devel/libnotify \
-		sqlite3:${PORTSDIR}/databases/sqlite3
+LIB_DEPENDS+=	libnotify.so:${PORTSDIR}/devel/libnotify \
+		libsqlite3.so:${PORTSDIR}/databases/sqlite3
 CONFIGURE_ARGS+=--with-sqlite3-prefix=${LOCALBASE}
 . if ${OSVERSION} < 900506 || (${OSVERSION} >= 1000000 && ${OSVERSION} < 1000002)
 CPPFLAGS+=	-DNO_PER_THREAD_LOCALE
@@ -92,7 +80,7 @@ SUB_LIST+=	OPTION_MANAGER=""
 
 .if ${PORT_OPTIONS:MCLIENT}
 USE_RC_SUBR=	boinc-client
-LIB_DEPENDS+=	curl:${PORTSDIR}/ftp/curl
+LIB_DEPENDS+=	libcurl.so:${PORTSDIR}/ftp/curl
 RUN_DEPENDS+=	${LOCALBASE}/share/certs/ca-root-nss.crt:${PORTSDIR}/security/ca_root_nss
 PLIST_SUB+=	BOINC_CLIENT=""
 SUB_LIST+=	OPTION_NO_GUI_RPC=${PORT_OPTIONS:MNO_GUI_RPC:S/^NO_GUI_RPC$/--no_gui_rpc/} \
@@ -132,6 +120,15 @@ SUB_LIST+=	OPTION_USER=""
 CONFIGURE_ARGS+=--enable-optimize
 .endif
 
+.if ${PORT_OPTIONS:MX11}
+USE_GL=		glut
+USE_XORG+=	xmu xi
+LIB_DEPENDS+=	libjpeg.so:${PORTSDIR}/graphics/jpeg
+PLIST_SUB+=	X11=""
+.else
+PLIST_SUB+=	X11="@comment "
+.endif
+
 PORT_OPTIONS:=	${PORT_OPTIONS:O:u}
 
 post-patch:
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 9 dfilter service freebsd_committer 2013-09-18 14:48:37 UTC
Author: rene
Date: Wed Sep 18 13:48:19 2013
New Revision: 327546
URL: http://svnweb.freebsd.org/changeset/ports/327546

Log:
  net/boinc-client :
  - update to 7.0.65 [1] Unlike the PR, keep the SKINS option and the
    extra skins, and do not pregenerate autotools files.
  - work around a build conflict with archivers/libzip in port Makefile [2]
  - pre-emptively fix build with libc++
  - change MASTERSITE from Pav's to my site
  - comment out the BROKEN message for sparc64/ia64/powerpc (for now)
  - regenerate patches using 'make makepatch'
  
  astro/boinc-{setiathome-enhanced,astropulse} :
  - remove obsolete calls to functions removed from libboinc
    to prevent breakage
  
  PR:		 ports/176724 [1]
  Submitted by:	 Andrey Simonenko <simon@comsys.ntu-kpi.kiev.ua> [1]
  Submitted by:	 zi@ [2]

Added:
  head/astro/boinc-astropulse/files/patch-client__ap_client_main.cpp   (contents, props changed)
  head/astro/boinc-astropulse/files/patch-client__ap_fold.cpp   (contents, props changed)
  head/astro/boinc-setiathome-enhanced/files/patch-client__analyzeFuncs.cpp   (contents, props changed)
  head/astro/boinc-setiathome-enhanced/files/patch-client__seti.h   (contents, props changed)
  head/astro/boinc-setiathome-enhanced/files/patch-client__worker.cpp   (contents, props changed)
  head/net/boinc-client/files/patch-clientgui__AsyncRPC.cpp   (contents, props changed)
     - copied, changed from r327544, head/net/boinc-client/files/patch-clientgui-AsyncRPC.cpp
  head/net/boinc-client/files/patch-lib__diagnostics.cpp   (contents, props changed)
  head/net/boinc-client/files/patch-lib__gui_rpc_client_print.cpp   (contents, props changed)
  head/net/boinc-client/files/patch-lib__str_util.cpp   (contents, props changed)
Deleted:
  head/net/boinc-client/files/patch-api__boinc_api.h
  head/net/boinc-client/files/patch-client-hostinfo_unix.cpp
  head/net/boinc-client/files/patch-clientgui-AsyncRPC.cpp
  head/net/boinc-client/files/patch-clientgui-stdwx.h
  head/net/boinc-client/files/patch-zip-unzip-extract.c
Modified:
  head/net/boinc-client/Makefile
  head/net/boinc-client/distinfo   (contents, props changed)
  head/net/boinc-client/files/patch-api__boinc_api.cpp
  head/net/boinc-client/files/patch-client__client_msgs.h
  head/net/boinc-client/pkg-plist

Added: head/astro/boinc-astropulse/files/patch-client__ap_client_main.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/astro/boinc-astropulse/files/patch-client__ap_client_main.cpp	Wed Sep 18 13:48:19 2013	(r327546)
@@ -0,0 +1,10 @@
+--- ap_client_main.cpp.orig	2012-08-14 02:07:20.000000000 +0200
++++ ap_client_main.cpp	2013-08-06 18:41:38.000000000 +0200
+@@ -1288,7 +1288,6 @@
+                * used to inform the core client GUI of the % complete.
+                */
+               boinc_fraction_done(state.frac_done);
+-	      boinc_ops_cumulative(state.frac_done*FLOPS_PER_DM*(state.dm_hi-state.dm_low)*log((float)state.fft_len)/log(32768.0),0);
+               debug_loop(5, 2, debug_loop_msg);
+   
+               /* This is the size of the power array.

Added: head/astro/boinc-astropulse/files/patch-client__ap_fold.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/astro/boinc-astropulse/files/patch-client__ap_fold.cpp	Wed Sep 18 13:48:19 2013	(r327546)
@@ -0,0 +1,10 @@
+--- ap_fold.cpp.orig	2009-04-01 02:11:24.000000000 +0200
++++ ap_fold.cpp	2013-08-06 18:42:02.000000000 +0200
+@@ -283,7 +283,6 @@
+        * used to inform the core client GUI of the % complete.
+        */
+       boinc_fraction_done(state.frac_done);
+-      boinc_ops_cumulative(state.frac_done*FLOPS_PER_DM*(state.dm_hi-state.dm_low)*log((double)state.fft_len)/log(32768.0),0);
+ 
+       freq_count++;
+       /* Report to stdout if we have reached a new "milestone" frequency. */

Added: head/astro/boinc-setiathome-enhanced/files/patch-client__analyzeFuncs.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/astro/boinc-setiathome-enhanced/files/patch-client__analyzeFuncs.cpp	Wed Sep 18 13:48:19 2013	(r327546)
@@ -0,0 +1,10 @@
+--- client/analyzeFuncs.cpp.orig	2008-07-31 02:02:10.000000000 +0200
++++ client/analyzeFuncs.cpp	2013-08-06 18:48:46.000000000 +0200
+@@ -415,7 +415,6 @@
+         fftlen    = ChirpFftPairs[icfft].FftLen;
+         chirprate = ChirpFftPairs[icfft].ChirpRate;
+         chirprateind = ChirpFftPairs[icfft].ChirpRateInd;
+-        boinc_fpops_cumulative((SETUP_FLOPS+analysis_state.FLOP_counter)*LOAD_STORE_ADJUSTMENT);
+         // boinc_worker_timer();
+ #ifdef DEBUG
+         double ptime=static_cast<double>((unsigned)clock())/CLOCKS_PER_SEC+

Added: head/astro/boinc-setiathome-enhanced/files/patch-client__seti.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/astro/boinc-setiathome-enhanced/files/patch-client__seti.h	Wed Sep 18 13:48:19 2013	(r327546)
@@ -0,0 +1,11 @@
+--- client/seti.h.orig	2009-01-26 18:01:09.000000000 +0100
++++ client/seti.h	2013-08-06 18:48:50.000000000 +0200
+@@ -35,8 +35,6 @@
+ #include <vector>
+ #include "boinc_api.h"
+ 
+-#define boinc_fpops_cumulative(x) boinc_ops_cumulative(x,0)
+-
+ extern APP_INIT_DATA app_init_data;
+ 
+ #include "analyze.h"

Added: head/astro/boinc-setiathome-enhanced/files/patch-client__worker.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/astro/boinc-setiathome-enhanced/files/patch-client__worker.cpp	Wed Sep 18 13:48:19 2013	(r327546)
@@ -0,0 +1,18 @@
+--- client/worker.cpp.orig	2008-07-31 02:02:10.000000000 +0200
++++ client/worker.cpp	2013-08-06 18:48:48.000000000 +0200
+@@ -153,7 +153,6 @@
+     retval = seti_do_work();
+     if (retval) SETIERROR(retval,"from seti_do_work() in worker()");
+ 
+-    boinc_fpops_cumulative((SETUP_FLOPS+analysis_state.FLOP_counter)*LOAD_STORE_ADJUSTMENT);
+     boinc_finish(retval);
+   }
+   catch (seti_error e) {
+@@ -165,7 +164,6 @@
+ 	remaining=0;
+ 	boinc_fraction_done(progress);
+         checkpoint(true);      // force a checkpoint
+-        boinc_fpops_cumulative((SETUP_FLOPS+analysis_state.FLOP_counter)*LOAD_STORE_ADJUSTMENT);
+         boinc_finish(0);
+         exit(0);            // an overflow is not an app error
+     } else {

Modified: head/net/boinc-client/Makefile
==============================================================================
--- head/net/boinc-client/Makefile	Wed Sep 18 13:38:49 2013	(r327545)
+++ head/net/boinc-client/Makefile	Wed Sep 18 13:48:19 2013	(r327546)
@@ -2,21 +2,20 @@
 # $FreeBSD$
 
 PORTNAME=	boinc-client
-PORTVERSION=	7.0.28
-PORTREVISION=	3
+PORTVERSION=	7.0.65
 CATEGORIES=	net
-MASTER_SITES=	${MASTER_SITE_LOCAL}
-MASTER_SITE_SUBDIR=	pav
+MASTER_SITES=	ftp://rene-ladan.nl/pub/distfiles/
 
 MAINTAINER=	rene@FreeBSD.org
 COMMENT=	Berkeley Open Infrastructure for Network Computing client
 
+USES=		gmake pkgconfig
 USE_XZ=		yes
 GNU_CONFIGURE=	yes
-USES=		pkgconfig
+USE_AUTOTOOLS=	autoconf:env automake:env libtoolize:env
 USE_LDCONFIG=	yes
 USE_DOS2UNIX=	yes
-DOS2UNIX_REGEX=	.*\.(cpp|h)
+DOS2UNIX_REGEX=	.*\.xpm
 
 USERS=		boinc
 GROUPS=		boinc
@@ -55,9 +54,9 @@ NO_NET_INFO_DESC=	Do not send host addre
 
 .include <bsd.port.options.mk>
 
-.if ${ARCH} == "ia64" || ${ARCH} == "powerpc" || ${ARCH} == "sparc64"
-BROKEN=		Does not install on ia64, powerpc, or sparc64
-.endif
+#.if ${ARCH} == "ia64" || ${ARCH} == "powerpc" || ${ARCH} == "sparc64"
+#BROKEN=		Does not install on ia64, powerpc, or sparc64
+#.endif
 
 .if ${PORT_OPTIONS:MMANAGER}
 PORT_OPTIONS+=	CLIENT X11
@@ -132,16 +131,34 @@ PLIST_SUB+=	X11="@comment "
 
 PORT_OPTIONS:=	${PORT_OPTIONS:O:u}
 
-post-patch:
+# avoid build conflict with archivers/libzip
+post-extract:
+	${MV} ${WRKSRC}/zip/unzip/zip.h ${WRKSRC}/zip/unzip/boinczip.h
+	${MV} ${WRKSRC}/zip/zip/zip.h ${WRKSRC}/zip/zip/boinczip.h
+	${REINPLACE_CMD} -e 's|zip/zip.h|zip/boinczip.h|' \
+	    ${WRKSRC}/zip/boinc_zip.cpp
+	${REINPLACE_CMD} -e 's|"zip.h"|"boinczip.h"|' \
+	    ${WRKSRC}/zip/unzip/crc32.c ${WRKSRC}/zip/unzip/ttyio.c \
+	    ${WRKSRC}/zip/zip/deflate.c ${WRKSRC}/zip/zip/trees.c \
+	    ${WRKSRC}/zip/zip/unix/z_unix.c ${WRKSRC}/zip/zip/util.c \
+	    ${WRKSRC}/zip/zip/z_fileio.c ${WRKSRC}/zip/zip/z_globals.c \
+	    ${WRKSRC}/zip/zip/zip.c ${WRKSRC}/zip/zip/zipfile.c \
+	    ${WRKSRC}/zip/zip/zipup.c
+
+pre-configure:
+	(cd ${WRKSRC} ; ./_autosetup)
+
+post-configure:
 	@${REINPLACE_CMD} -e 's|client/scripts||' ${WRKSRC}/Makefile.in
-	@${REINPLACE_CMD} -e 's|-lcrypto -ldl|-lcrypto|' ${WRKSRC}/configure
 .if ${PORT_OPTIONS:MNLS}
-	@${REINPLACE_CMD} -e 's|$$$$mydir/$$$$ldir|&/LC_MESSAGES|' ${WRKSRC}/locale/Makefile.in
+	@${REINPLACE_CMD} -e 's|$$$$mydir/$$$$ldir|&/LC_MESSAGES|' \
+	    ${WRKSRC}/locale/Makefile.in
 .else
 	@${REINPLACE_CMD} -e 's| locale||' ${WRKSRC}/Makefile.in
 .endif
 .if ! ${PORT_OPTIONS:MX11}
-	@${REINPLACE_CMD} -e 's|@BUILD_GRAPHICS_API_TRUE@|#&|' ${WRKSRC}/api/Makefile.in
+	@${REINPLACE_CMD} -e 's|@BUILD_GRAPHICS_API_TRUE@|#&|' \
+	    ${WRKSRC}/api/Makefile.in
 .endif
 
 post-install:
@@ -156,21 +173,26 @@ post-install:
 	    ${PREFIX}/share/pixmaps
 . endfor
 . if ${PORT_OPTIONS:MSKINS}
-	${CP} -R ${WRKSRC}/clientgui/skins ${PREFIX}/share/boinc
+	(cd ${WRKSRC}/clientgui && \
+	${COPYTREE_SHARE} skins ${PREFIX}/share/boinc/ )
 . else
 	${MKDIR} ${PREFIX}/share/boinc/skins
-	${CP} -R ${WRKSRC}/clientgui/skins/Default ${PREFIX}/share/boinc/skins
+	(cd ${WRKSRC}/clientgui/skins && \
+	${COPYTREE_SHARE} Default ${PREFIX}/share/boinc/skins/ )
 . endif
 .endif
-. for name in config.h api/reduce.h lib/shmem.h lib/std_fixes.h
+. for name in config.h project_specific_defines.h api/reduce.h lib/shmem.h \
+	lib/std_fixes.h
 	${INSTALL_DATA} ${WRKSRC}/${name} ${PREFIX}/include/boinc
 . endfor
 .if ${PORT_OPTIONS:MX11}
 . for name in api/boinc_gl.h api/graphics_api.h api/graphics_data.h \
-	api/txf_util.h
+	api/ttfont.h
 	${INSTALL_DATA} ${WRKSRC}/${name} ${PREFIX}/include/boinc
 . endfor
-	${CP} -R ${WRKSRC}/api/txf ${PREFIX}/share/boinc
+	${MKDIR} ${PREFIX}/share/boinc/ttf
+	(cd ${WRKSRC}/api/ttf/liberation-fonts-ttf-2.00.0 && \
+	    ${COPYTREE_SHARE} \*.ttf ${PREFIX}/share/boinc/ttf/ )
 .endif
 
 .include <bsd.port.mk>

Modified: head/net/boinc-client/distinfo
==============================================================================
--- head/net/boinc-client/distinfo	Wed Sep 18 13:38:49 2013	(r327545)
+++ head/net/boinc-client/distinfo	Wed Sep 18 13:48:19 2013	(r327546)
@@ -1,2 +1,2 @@
-SHA256 (boinc-client-7.0.28.tar.xz) = a8d208b7145e911e856db4d4cdcfa843e26b445a948c11e40ad03ae3fdd657fa
-SIZE (boinc-client-7.0.28.tar.xz) = 4529336
+SHA256 (boinc-client-7.0.65.tar.xz) = 5ee526924a4939c83e5860afcb10c388fe6253157ffab1f90e87750280da3f90
+SIZE (boinc-client-7.0.65.tar.xz) = 26393968

Modified: head/net/boinc-client/files/patch-api__boinc_api.cpp
==============================================================================
--- head/net/boinc-client/files/patch-api__boinc_api.cpp	Wed Sep 18 13:38:49 2013	(r327545)
+++ head/net/boinc-client/files/patch-api__boinc_api.cpp	Wed Sep 18 13:48:19 2013	(r327546)
@@ -1,6 +1,6 @@
---- api/boinc_api.cpp.old	2013-05-17 14:10:37.000000000 +0300
-+++ api/boinc_api.cpp	2013-05-17 14:10:49.000000000 +0300
-@@ -111,7 +111,7 @@
+--- ./api/boinc_api.cpp.orig	2013-07-24 15:13:28.000000000 +0000
++++ ./api/boinc_api.cpp	2013-09-17 21:16:00.000000000 +0000
+@@ -120,7 +120,7 @@
      // CPPFLAGS=-DGETRUSAGE_IN_TIMER_THREAD
  #endif
  

Modified: head/net/boinc-client/files/patch-client__client_msgs.h
==============================================================================
--- head/net/boinc-client/files/patch-client__client_msgs.h	Wed Sep 18 13:38:49 2013	(r327545)
+++ head/net/boinc-client/files/patch-client__client_msgs.h	Wed Sep 18 13:48:19 2013	(r327546)
@@ -1,5 +1,5 @@
---- client/client_msgs.h.old	2013-05-17 14:13:10.000000000 +0300
-+++ client/client_msgs.h	2013-05-17 14:13:20.000000000 +0300
+--- ./client/client_msgs.h.orig	2013-07-24 15:13:28.000000000 +0000
++++ ./client/client_msgs.h	2013-09-17 21:16:00.000000000 +0000
 @@ -73,6 +73,6 @@
      __attribute__ ((format (printf, 4, 5)))
  ;

Copied and modified: head/net/boinc-client/files/patch-clientgui__AsyncRPC.cpp (from r327544, head/net/boinc-client/files/patch-clientgui-AsyncRPC.cpp)
==============================================================================
--- head/net/boinc-client/files/patch-clientgui-AsyncRPC.cpp	Wed Sep 18 13:28:06 2013	(r327544, copy source)
+++ head/net/boinc-client/files/patch-clientgui__AsyncRPC.cpp	Wed Sep 18 13:48:19 2013	(r327546)
@@ -1,12 +1,12 @@
 --- clientgui/AsyncRPC.cpp.orig		2012-04-07 11:55:37.000000000 +0300
 +++ clientgui/AsyncRPC.cpp		2012-04-07 11:56:14.000000000 +0300
-@@ -20,7 +20,9 @@
- #endif
+@@ -31,7 +31,9 @@
+ #include "util.h"
  
  #if !(defined(_WIN32) || (defined(__WXMAC__) && (MAC_OS_X_VERSION_MIN_REQUIRED < MAC_OS_X_VERSION_10_4)))
 +#if !defined(NO_PER_THREAD_LOCALE)
  #include <xlocale.h>
 +#endif
- //#include "gui_rpc_client.h"
+ #include "gui_rpc_client.h"
  #endif
  

Added: head/net/boinc-client/files/patch-lib__diagnostics.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/boinc-client/files/patch-lib__diagnostics.cpp	Wed Sep 18 13:48:19 2013	(r327546)
@@ -0,0 +1,10 @@
+--- ./lib/diagnostics.cpp.orig	2013-07-24 15:13:29.000000000 +0000
++++ ./lib/diagnostics.cpp	2013-09-17 21:40:56.000000000 +0000
+@@ -41,6 +41,7 @@
+ #include <cstdarg>
+ #include <cstdlib>
+ #include <unistd.h>
++#include <time.h>
+ #endif
+ 
+ #ifdef _USING_FCGI_

Added: head/net/boinc-client/files/patch-lib__gui_rpc_client_print.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/boinc-client/files/patch-lib__gui_rpc_client_print.cpp	Wed Sep 18 13:48:19 2013	(r327546)
@@ -0,0 +1,10 @@
+--- ./lib/gui_rpc_client_print.cpp.orig	2013-07-24 15:13:29.000000000 +0000
++++ ./lib/gui_rpc_client_print.cpp	2013-09-17 21:43:21.000000000 +0000
+@@ -31,6 +31,7 @@
+ #include <sys/un.h>
+ #include <cstdio>
+ #include <unistd.h>
++#include <time.h>
+ #include <cstdlib>
+ #include <cstring>
+ #endif

Added: head/net/boinc-client/files/patch-lib__str_util.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/boinc-client/files/patch-lib__str_util.cpp	Wed Sep 18 13:48:19 2013	(r327546)
@@ -0,0 +1,10 @@
+--- ./lib/str_util.cpp.orig	2013-07-24 15:13:29.000000000 +0000
++++ ./lib/str_util.cpp	2013-09-17 21:45:40.000000000 +0000
+@@ -29,6 +29,7 @@
+ #include <string>
+ #include <math.h>
+ #include <string.h>
++#include <time.h>
+ #include <stdlib.h>
+ #include <ctype.h>
+ #endif

Modified: head/net/boinc-client/pkg-plist
==============================================================================
--- head/net/boinc-client/pkg-plist	Wed Sep 18 13:38:49 2013	(r327545)
+++ head/net/boinc-client/pkg-plist	Wed Sep 18 13:48:19 2013	(r327546)
@@ -3,6 +3,7 @@
 %%BOINC_CLIENT%%bin/boinccmd
 %%BOINC_CLIENT%%bin/switcher
 %%BOINC_MANAGER%%bin/boincmgr
+%%BOINC_MANAGER%%bin/boincscr
 include/boinc/app_ipc.h
 include/boinc/average.h
 include/boinc/base64.h
@@ -38,6 +39,7 @@ include/boinc/notice.h
 include/boinc/parse.h
 include/boinc/prefs.h
 include/boinc/procinfo.h
+include/boinc/project_specific_defines.h
 include/boinc/proxy_info.h
 include/boinc/reduce.h
 include/boinc/shmem.h
@@ -53,7 +55,7 @@ include/boinc/win_util.h
 %%X11%%include/boinc/boinc_gl.h
 %%X11%%include/boinc/graphics_api.h
 %%X11%%include/boinc/graphics_data.h
-%%X11%%include/boinc/txf_util.h
+%%X11%%include/boinc/ttfont.h
 lib/libboinc.a
 lib/libboinc.la
 lib/libboinc_api.a
@@ -278,84 +280,76 @@ lib/libboinc_zip.so.7
 %%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/tabArea_bg.png
 %%SKINS%%share/boinc/skins/Progress Thru Processors/graphic/wu_bg.png
 %%SKINS%%share/boinc/skins/Progress Thru Processors/skin.xml
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/arwLeft.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/arwLeftClick.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/arwRight.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/arwRightClick.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/btnAddProject.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/btnAddProjectClick.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/btnAdvancedView.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/btnCancel.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/btnCancelClick.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/btnChange.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/btnChangeClick.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/btnClear.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/btnClearClick.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/btnClose.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/btnCloseClick.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/btnCopy.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/btnCopyAll.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/btnCopyAllClicked.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/btnCopyClicked.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/btnHelp.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/btnHelpClicked.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/btnMessages.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/btnMessagesRed.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/btnPreferences.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/btnResume.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/btnSave.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/btnSaveClick.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/btnSnooze.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/conn_ind.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/default_stat_icon.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/dlgBackground.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/error_image.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/gauge_bg.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/gauge_progress_indicator.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/ico_workWU.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/proj_bg.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/project_image.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/simplegui_bg.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/spacer.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/state_ind_bg.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/tabArea_bg.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/wcg_about.ico
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/wcg_black_background.gif
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/wcg_pause.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/wcg_play.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/wcg_stop.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/wcg_wizard_bar.png
-%%SKINS%%share/boinc/skins/World Community Grid/graphic/wu_bg.png
+%%SKINS%%share/boinc/skins/World Community Grid/Old/graphic/arwLeft.png
+%%SKINS%%share/boinc/skins/World Community Grid/Old/graphic/arwLeftClick.png
+%%SKINS%%share/boinc/skins/World Community Grid/Old/graphic/arwRight.png
+%%SKINS%%share/boinc/skins/World Community Grid/Old/graphic/arwRightClick.png
+%%SKINS%%share/boinc/skins/World Community Grid/Old/graphic/btnAddProject.png
+%%SKINS%%share/boinc/skins/World Community Grid/Old/graphic/btnAddProjectClick.png
+%%SKINS%%share/boinc/skins/World Community Grid/Old/graphic/btnAdvancedView.png
+%%SKINS%%share/boinc/skins/World Community Grid/Old/graphic/btnCancel.png
+%%SKINS%%share/boinc/skins/World Community Grid/Old/graphic/btnCancelClick.png
+%%SKINS%%share/boinc/skins/World Community Grid/Old/graphic/btnChange.png
+%%SKINS%%share/boinc/skins/World Community Grid/Old/graphic/btnChangeClick.png
+%%SKINS%%share/boinc/skins/World Community Grid/Old/graphic/btnClear.png
+%%SKINS%%share/boinc/skins/World Community Grid/Old/graphic/btnClearClick.png
+%%SKINS%%share/boinc/skins/World Community Grid/Old/graphic/btnClose.png
+%%SKINS%%share/boinc/skins/World Community Grid/Old/graphic/btnCloseClick.png
+%%SKINS%%share/boinc/skins/World Community Grid/Old/graphic/btnCopy.png
+%%SKINS%%share/boinc/skins/World Community Grid/Old/graphic/btnCopyAll.png
+%%SKINS%%share/boinc/skins/World Community Grid/Old/graphic/btnCopyAllClicked.png
+%%SKINS%%share/boinc/skins/World Community Grid/Old/graphic/btnCopyClicked.png
+%%SKINS%%share/boinc/skins/World Community Grid/Old/graphic/btnHelp.png
+%%SKINS%%share/boinc/skins/World Community Grid/Old/graphic/btnHelpClicked.png
+%%SKINS%%share/boinc/skins/World Community Grid/Old/graphic/btnMessages.png
+%%SKINS%%share/boinc/skins/World Community Grid/Old/graphic/btnMessagesRed.png
+%%SKINS%%share/boinc/skins/World Community Grid/Old/graphic/btnPreferences.png
+%%SKINS%%share/boinc/skins/World Community Grid/Old/graphic/btnResume.png
+%%SKINS%%share/boinc/skins/World Community Grid/Old/graphic/btnSave.png
+%%SKINS%%share/boinc/skins/World Community Grid/Old/graphic/btnSaveClick.png
+%%SKINS%%share/boinc/skins/World Community Grid/Old/graphic/btnSnooze.png
+%%SKINS%%share/boinc/skins/World Community Grid/Old/graphic/conn_ind.png
+%%SKINS%%share/boinc/skins/World Community Grid/Old/graphic/default_stat_icon.png
+%%SKINS%%share/boinc/skins/World Community Grid/Old/graphic/dlgBackground.png
+%%SKINS%%share/boinc/skins/World Community Grid/Old/graphic/error_image.png
+%%SKINS%%share/boinc/skins/World Community Grid/Old/graphic/gauge_bg.png
+%%SKINS%%share/boinc/skins/World Community Grid/Old/graphic/gauge_progress_indicator.png
+%%SKINS%%share/boinc/skins/World Community Grid/Old/graphic/ico_workWU.png
+%%SKINS%%share/boinc/skins/World Community Grid/Old/graphic/proj_bg.png
+%%SKINS%%share/boinc/skins/World Community Grid/Old/graphic/project_image.png
+%%SKINS%%share/boinc/skins/World Community Grid/Old/graphic/simplegui_bg.png
+%%SKINS%%share/boinc/skins/World Community Grid/Old/graphic/spacer.png
+%%SKINS%%share/boinc/skins/World Community Grid/Old/graphic/state_ind_bg.png
+%%SKINS%%share/boinc/skins/World Community Grid/Old/graphic/tabArea_bg.png
+%%SKINS%%share/boinc/skins/World Community Grid/Old/graphic/wcg_about.ico
+%%SKINS%%share/boinc/skins/World Community Grid/Old/graphic/wcg_black_background.gif
+%%SKINS%%share/boinc/skins/World Community Grid/Old/graphic/wcg_pause.png
+%%SKINS%%share/boinc/skins/World Community Grid/Old/graphic/wcg_play.png
+%%SKINS%%share/boinc/skins/World Community Grid/Old/graphic/wcg_stop.png
+%%SKINS%%share/boinc/skins/World Community Grid/Old/graphic/wcg_wizard_bar.png
+%%SKINS%%share/boinc/skins/World Community Grid/Old/graphic/wu_bg.png
+%%SKINS%%share/boinc/skins/World Community Grid/Old/skin.xml
+%%SKINS%%share/boinc/skins/World Community Grid/Green_dot.png
+%%SKINS%%share/boinc/skins/World Community Grid/Red_dot.png
+%%SKINS%%share/boinc/skins/World Community Grid/Yellow_dot.png
+%%SKINS%%share/boinc/skins/World Community Grid/background_image.png
+%%SKINS%%share/boinc/skins/World Community Grid/wcg_about.ico
+%%SKINS%%share/boinc/skins/World Community Grid/wcg_pause.png
+%%SKINS%%share/boinc/skins/World Community Grid/wcg_play.png
+%%SKINS%%share/boinc/skins/World Community Grid/wcg_stop.png
 %%SKINS%%share/boinc/skins/World Community Grid/skin.xml
-%%X11%%share/boinc/txf/AvantGarde-Book.txf
-%%X11%%share/boinc/txf/AvantGarde-BookOblique.txf
-%%X11%%share/boinc/txf/AvantGarde-Demi.txf
-%%X11%%share/boinc/txf/AvantGarde-DemiOblique.txf
-%%X11%%share/boinc/txf/Bookman-Demi.txf
-%%X11%%share/boinc/txf/Bookman-DemiItalic.txf
-%%X11%%share/boinc/txf/Bookman-Light.txf
-%%X11%%share/boinc/txf/Bookman-LightItalic.txf
-%%X11%%share/boinc/txf/Courier-Bold.txf
-%%X11%%share/boinc/txf/Courier-BoldOblique.txf
-%%X11%%share/boinc/txf/Courier-Oblique.txf
-%%X11%%share/boinc/txf/Courier.txf
-%%X11%%share/boinc/txf/Helvetica-Bold.txf
-%%X11%%share/boinc/txf/Helvetica-BoldOblique.txf
-%%X11%%share/boinc/txf/Helvetica-Oblique.txf
-%%X11%%share/boinc/txf/Helvetica.txf
-%%X11%%share/boinc/txf/NewCenturySchlbk-Bold.txf
-%%X11%%share/boinc/txf/NewCenturySchlbk-BoldItalic.txf
-%%X11%%share/boinc/txf/NewCenturySchlbk-Italic.txf
-%%X11%%share/boinc/txf/NewCenturySchlbk-Roman.txf
-%%X11%%share/boinc/txf/Palatino-Bold.txf
-%%X11%%share/boinc/txf/Palatino-BoldItalic.txf
-%%X11%%share/boinc/txf/Palatino-Italic.txf
-%%X11%%share/boinc/txf/Palatino-Roman.txf
-%%X11%%share/boinc/txf/Times-Bold.txf
-%%X11%%share/boinc/txf/Times-BoldItalic.txf
-%%X11%%share/boinc/txf/Times-Italic.txf
-%%X11%%share/boinc/txf/Times-Roman.txf
-%%X11%%share/boinc/txf/ZapfChancery-MediumItalic.txf
+%%X11%%share/boinc/ttf/LiberationMono-Bold.ttf
+%%X11%%share/boinc/ttf/LiberationMono-BoldItalic.ttf
+%%X11%%share/boinc/ttf/LiberationMono-Italic.ttf
+%%X11%%share/boinc/ttf/LiberationMono-Regular.ttf
+%%X11%%share/boinc/ttf/LiberationSans-Bold.ttf
+%%X11%%share/boinc/ttf/LiberationSans-BoldItalic.ttf
+%%X11%%share/boinc/ttf/LiberationSans-Italic.ttf
+%%X11%%share/boinc/ttf/LiberationSans-Regular.ttf
+%%X11%%share/boinc/ttf/LiberationSerif-Bold.ttf
+%%X11%%share/boinc/ttf/LiberationSerif-BoldItalic.ttf
+%%X11%%share/boinc/ttf/LiberationSerif-Italic.ttf
+%%X11%%share/boinc/ttf/LiberationSerif-Regular.ttf
 %%NLS%%share/locale/ar/LC_MESSAGES/BOINC-Client.mo
 %%NLS%%share/locale/ar/LC_MESSAGES/BOINC-Manager.mo
 %%NLS%%share/locale/be/LC_MESSAGES/BOINC-Client.mo
@@ -441,10 +435,11 @@ lib/libboinc_zip.so.7
 %%SKINS%%@dirrm share/boinc/skins/People for a Smarter Planet
 %%SKINS%%@dirrm share/boinc/skins/Progress Thru Processors/graphic
 %%SKINS%%@dirrm share/boinc/skins/Progress Thru Processors
-%%SKINS%%@dirrm share/boinc/skins/World Community Grid/graphic
+%%SKINS%%@dirrm share/boinc/skins/World Community Grid/Old/graphic
+%%SKINS%%@dirrm share/boinc/skins/World Community Grid/Old
 %%SKINS%%@dirrm share/boinc/skins/World Community Grid
 %%BOINC_MANAGER%%@dirrm share/boinc/skins
-%%X11%%@dirrm share/boinc/txf
+%%X11%%@dirrm share/boinc/ttf
 %%X11%%@dirrm share/boinc
 %%NLS%%@dirrmtry share/locale/sv_SE/LC_MESSAGES
 %%NLS%%@dirrmtry share/locale/sv_SE
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 10 Rene Ladan freebsd_committer 2013-09-18 14:48:38 UTC
State Changed
From-To: open->closed

Committed with modifications, thanks!